

from BaseDataMaintenance.model.ots.BaseModel import BaseModel


class enterprise_check(BaseModel):
    '''
    uuid				string,
    old_name			string,
    new_name			string,
    rule				bigint comment '规则 1程序识别 2人工',
    create_time			string,
    create_by			string,
    status				bigint comment '1待审核 2待合并 3已合并 -1已回滚',
    province			string,
    city				string,
    district            string,
    address				string,
    bid_number			bigint comment '大于零说明是要素提取出来的',
    audit_time			string,
    audit_by			string comment 'root为系统'
    '''

    def __init__(self,_dict):
        for k,v in _dict.items():
            self.setValue(k,v,True)
        self.table_name = "enterprise_check"

    def getPrimary_keys(self):
        return ["uuid"]

    def delete_row(self,ots_client):
        raise NotImplementedError()